-- 基础信息
base_info = {
	group_id = 251008012
}

-- DEFS_MISCS
defs =
{
    -----全玩法通用配置-----

    --玩法范围region cube
    play_region = 12111,
    --进入时加载内容，例如棒球发球机。依次为单人、2人。。
    enter_suites = {2,2,2,2},
    air_wall = {12395},
    --启动时加载内容，例如史莱姆球。依次为单人、2人。。
    play_suites = {},
    --挑战限时秒
    limit_time = 100000,
    --挑战目标
    target = 150,

    clear_delay = 60,

    --刷出延迟
    refresh_delay = 1,

    -----打桩配置-----
    matrix =
    {
        {12001,12002,12003,12004,12005,12049},
        {12006,12007,12008,12009,12010,12050},
        {12011,12012,12013,12014,12015,12051},
        {12016,12017,12018,12019,12020,12052},
        {12021,12022,12023,12024,12025,12053},
        {12054,12055,12056,12057,12058,12059},
    },

    rounds =
    {   --第一个数字表示普通地板个数，第二个数字表示高级地板个数
        --单人玩家
        [1] = {{1,0},{0,1},{1,1},{0,1},{0,1,1},{0,1,1},{0,1,1},{0,1,1}},
        --2人
        [2] = {{4,0},{1,1},{1,1},{0,1},{0,1},{0,1,1},{0,1},{0,1,1},{0,1,1},{0,1,1}},
        --3人
        [3] = {{4,0},{1,1},{1,1},{0,2},{0,2,1},{0,2},{0,2,1},{0,2,1},{0,2,1}},
        --4人
        [4] = {{4,0},{1,1},{1,1},{0,2},{0,2,1},{0,2},{0,2,1},{0,2,1},{0,2,1}}
    },

    spec =
    {-- pillars = {柱子ConfigID列表}, reward_suite = {奖励suite}
            [1] = { pillars = {12013,12014,12018,12019}, reward_suite = {13}}
    },

    high_from = 4,
    --每个GalleryID 特殊奖励用哪个Suite
    --1000为测试用
    reward_by_gallery =
    {
        [1000] = {5},
        [28003] = {5,6},
        [28004] = {9,10},
    },

    high_reward_by_gallery =
    {
        [1000] = {5},
        [28003] = {7},
        [28004] = {11},
    },
    simple_reward_suite = 4,
    rise_reward_suite = 3,

    -----以下内容通常不需关注-----

    gadget_pool =
    {
        --金币
        [70320015] =
        {
            12026,12027,12028,12029,12030,12031,12032,12034,12035,12036,12038,12039,12040,12041,12042,12043,12044,12045,12060,12061,12062,12063,12064,12066,12067,12068,12070,12071,12072,12073,12074,12075,12076,12077,12080,12081,12082,12083,12084,12086,12087,12088,12089,12090,12091,12093,12094,12095,12096,12097,12098,12099,12100,12101,12102,12103,12105,12106,12107,12108,12109,12112,12113,12114,12115,12116,12117,12118,12120,12121,12122,12123,12124,12125,12128,12129,12130,12132,12133,12134,12136,12137,12138,12140,12141,12142,12144,12145,12148,12149,12150,12151,12152,12153,12155,12156,12157,12158,12159,12160,12161,12162,12163,12164,12165,12167,12168,12169,12170,12171,12173,12174,12175,12176,12177,12178,12179,
        },
        --大金币
        [70320022] =
        {
            12037,12046,12065,12069,12078,12085,12092,12104,12119,12131,12143,12154,12166,12180,12192,12204,12207,12211,12221,12225,12235,12239,
        },
        --平台
        [70350323] =
        {
            12047,12110,12286,12335,12336,12337,12338,12393,12394,12396,
        },
    }
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[12001] = { config_id = 12001, gadget_id = 70320008, pos = { x = 387.500, y = -0.094, z = 412.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12002] = { config_id = 12002, gadget_id = 70320008, pos = { x = 392.500, y = -0.084, z = 412.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12003] = { config_id = 12003, gadget_id = 70320008, pos = { x = 397.500, y = -0.094, z = 412.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12004] = { config_id = 12004, gadget_id = 70320008, pos = { x = 402.500, y = -0.084, z = 412.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12005] = { config_id = 12005, gadget_id = 70320008, pos = { x = 407.500, y = -0.094, z = 412.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12006] = { config_id = 12006, gadget_id = 70320008, pos = { x = 387.500, y = -0.084, z = 407.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12007] = { config_id = 12007, gadget_id = 70320008, pos = { x = 392.500, y = -0.094, z = 407.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12008] = { config_id = 12008, gadget_id = 70320008, pos = { x = 397.500, y = -0.084, z = 407.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12009] = { config_id = 12009, gadget_id = 70320008, pos = { x = 402.500, y = -0.094, z = 407.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12010] = { config_id = 12010, gadget_id = 70320008, pos = { x = 407.500, y = -0.084, z = 407.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12011] = { config_id = 12011, gadget_id = 70320008, pos = { x = 387.500, y = -0.094, z = 402.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12012] = { config_id = 12012, gadget_id = 70320008, pos = { x = 392.500, y = -0.084, z = 402.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12013] = { config_id = 12013, gadget_id = 70320008, pos = { x = 397.500, y = -0.094, z = 402.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12014] = { config_id = 12014, gadget_id = 70320008, pos = { x = 402.500, y = -0.084, z = 402.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12015] = { config_id = 12015, gadget_id = 70320008, pos = { x = 407.500, y = -0.094, z = 402.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12016] = { config_id = 12016, gadget_id = 70320008, pos = { x = 387.500, y = -0.084, z = 397.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12017] = { config_id = 12017, gadget_id = 70320008, pos = { x = 392.500, y = -0.094, z = 397.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12018] = { config_id = 12018, gadget_id = 70320008, pos = { x = 397.500, y = -0.084, z = 397.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12019] = { config_id = 12019, gadget_id = 70320008, pos = { x = 402.500, y = -0.094, z = 397.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12020] = { config_id = 12020, gadget_id = 70320008, pos = { x = 407.500, y = -0.084, z = 397.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12021] = { config_id = 12021, gadget_id = 70320008, pos = { x = 387.500, y = -0.094, z = 392.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12022] = { config_id = 12022, gadget_id = 70320008, pos = { x = 392.500, y = -0.084, z = 392.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12023] = { config_id = 12023, gadget_id = 70320008, pos = { x = 397.500, y = -0.094, z = 392.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12024] = { config_id = 12024, gadget_id = 70320008, pos = { x = 402.500, y = -0.084, z = 392.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12025] = { config_id = 12025, gadget_id = 70320008, pos = { x = 407.500, y = -0.094, z = 392.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12026] = { config_id = 12026, gadget_id = 70320015, pos = { x = 390.057, y = 2.406, z = 390.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12027] = { config_id = 12027, gadget_id = 70320015, pos = { x = 390.057, y = 3.906, z = 390.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12028] = { config_id = 12028, gadget_id = 70320015, pos = { x = 390.057, y = 5.406, z = 390.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12029] = { config_id = 12029, gadget_id = 70320015, pos = { x = 390.057, y = 6.906, z = 390.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12030] = { config_id = 12030, gadget_id = 70320015, pos = { x = 390.787, y = 5.906, z = 391.066 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12031] = { config_id = 12031, gadget_id = 70320015, pos = { x = 390.787, y = 5.906, z = 389.358 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12032] = { config_id = 12032, gadget_id = 70320015, pos = { x = 389.752, y = 5.906, z = 391.066 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12033] = { config_id = 12033, gadget_id = 70320015, pos = { x = 389.752, y = 5.906, z = 389.358 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12034] = { config_id = 12034, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12035] = { config_id = 12035, gadget_id = 70320015, pos = { x = 390.059, y = 3.906, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12036] = { config_id = 12036, gadget_id = 70320015, pos = { x = 390.059, y = 5.406, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12037] = { config_id = 12037, gadget_id = 70320022, pos = { x = 390.059, y = 7.906, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12038] = { config_id = 12038, gadget_id = 70320015, pos = { x = 390.059, y = 6.906, z = 391.178 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12039] = { config_id = 12039, gadget_id = 70320015, pos = { x = 390.059, y = 6.906, z = 392.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12040] = { config_id = 12040, gadget_id = 70320015, pos = { x = 390.059, y = 6.906, z = 394.178 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12041] = { config_id = 12041, gadget_id = 70320015, pos = { x = 390.059, y = 6.906, z = 395.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12042] = { config_id = 12042, gadget_id = 70320015, pos = { x = 390.059, y = 6.906, z = 397.178 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12043] = { config_id = 12043, gadget_id = 70320015, pos = { x = 390.059, y = 6.906, z = 398.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12044] = { config_id = 12044, gadget_id = 70320015, pos = { x = 390.059, y = 8.406, z = 398.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12045] = { config_id = 12045, gadget_id = 70320015, pos = { x = 390.059, y = 9.906, z = 398.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12046] = { config_id = 12046, gadget_id = 70320022, pos = { x = 390.059, y = 13.906, z = 398.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12047] = { config_id = 12047, gadget_id = 70350323, pos = { x = 390.059, y = 5.206, z = 398.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12048] = { config_id = 12048, gadget_id = 70320037, pos = { x = 400.000, y = -0.094, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12049] = { config_id = 12049, gadget_id = 70320008, pos = { x = 412.500, y = -0.084, z = 412.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12050] = { config_id = 12050, gadget_id = 70320008, pos = { x = 412.500, y = -0.094, z = 407.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12051] = { config_id = 12051, gadget_id = 70320008, pos = { x = 412.500, y = -0.084, z = 402.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12052] = { config_id = 12052, gadget_id = 70320008, pos = { x = 412.500, y = -0.094, z = 397.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12053] = { config_id = 12053, gadget_id = 70320008, pos = { x = 412.500, y = -0.084, z = 392.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12054] = { config_id = 12054, gadget_id = 70320008, pos = { x = 387.500, y = -0.084, z = 387.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12055] = { config_id = 12055, gadget_id = 70320008, pos = { x = 392.500, y = -0.094, z = 387.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12056] = { config_id = 12056, gadget_id = 70320008, pos = { x = 397.500, y = -0.084, z = 387.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12057] = { config_id = 12057, gadget_id = 70320008, pos = { x = 402.500, y = -0.094, z = 387.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12058] = { config_id = 12058, gadget_id = 70320008, pos = { x = 407.500, y = -0.084, z = 387.500 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	[12059] = { config_id = 12059, gadget_id = 70320008, pos = { x = 412.500, y = -0.094, z = 387.500 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12060] = { config_id = 12060, gadget_id = 70320015, pos = { x = 390.059, y = 11.406, z = 398.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12061] = { config_id = 12061, gadget_id = 70320015, pos = { x = 390.059, y = 13.148, z = 397.427 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12062] = { config_id = 12062, gadget_id = 70320015, pos = { x = 390.059, y = 13.148, z = 395.803 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12063] = { config_id = 12063, gadget_id = 70320015, pos = { x = 390.059, y = 13.148, z = 394.389 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12064] = { config_id = 12064, gadget_id = 70320015, pos = { x = 390.059, y = 13.148, z = 392.885 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12065] = { config_id = 12065, gadget_id = 70320022, pos = { x = 390.059, y = 13.148, z = 391.130 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12066] = { config_id = 12066, gadget_id = 70320015, pos = { x = 390.059, y = 3.098, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12067] = { config_id = 12067, gadget_id = 70320015, pos = { x = 390.059, y = 4.598, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12068] = { config_id = 12068, gadget_id = 70320015, pos = { x = 390.059, y = 6.098, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12069] = { config_id = 12069, gadget_id = 70320022, pos = { x = 390.059, y = 8.598, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12070] = { config_id = 12070, gadget_id = 70320015, pos = { x = 390.059, y = 6.777, z = 391.226 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12071] = { config_id = 12071, gadget_id = 70320015, pos = { x = 390.059, y = 6.847, z = 392.743 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12072] = { config_id = 12072, gadget_id = 70320015, pos = { x = 390.059, y = 6.850, z = 397.091 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12073] = { config_id = 12073, gadget_id = 70320015, pos = { x = 390.059, y = 6.773, z = 398.212 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12074] = { config_id = 12074, gadget_id = 70320015, pos = { x = 390.059, y = 6.726, z = 399.956 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12075] = { config_id = 12075, gadget_id = 70320015, pos = { x = 390.059, y = 1.568, z = 400.052 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12076] = { config_id = 12076, gadget_id = 70320015, pos = { x = 390.059, y = 3.409, z = 400.052 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12077] = { config_id = 12077, gadget_id = 70320015, pos = { x = 390.059, y = 4.909, z = 400.052 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12078] = { config_id = 12078, gadget_id = 70320022, pos = { x = 390.059, y = 9.119, z = 399.968 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12079] = { config_id = 12079, gadget_id = 70320015, pos = { x = 389.949, y = 0.891, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12080] = { config_id = 12080, gadget_id = 70320015, pos = { x = 390.059, y = 1.523, z = 389.666 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12081] = { config_id = 12081, gadget_id = 70320015, pos = { x = 390.059, y = 4.956, z = 398.222 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12082] = { config_id = 12082, gadget_id = 70320015, pos = { x = 390.059, y = 4.946, z = 397.014 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12083] = { config_id = 12083, gadget_id = 70320015, pos = { x = 390.059, y = 4.994, z = 391.154 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12084] = { config_id = 12084, gadget_id = 70320015, pos = { x = 390.059, y = 5.070, z = 392.682 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12085] = { config_id = 12085, gadget_id = 70320022, pos = { x = 390.059, y = 7.973, z = 394.737 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12086] = { config_id = 12086, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12087] = { config_id = 12087, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12088] = { config_id = 12088, gadget_id = 70320015, pos = { x = 390.059, y = 6.030, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12089] = { config_id = 12089, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12090] = { config_id = 12090, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 391.111 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12091] = { config_id = 12091, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 391.111 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12092] = { config_id = 12092, gadget_id = 70320022, pos = { x = 390.059, y = 6.030, z = 391.111 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12093] = { config_id = 12093, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 391.111 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12094] = { config_id = 12094, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 392.572 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12095] = { config_id = 12095, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 392.572 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12096] = { config_id = 12096, gadget_id = 70320015, pos = { x = 390.059, y = 6.030, z = 392.572 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12097] = { config_id = 12097, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 392.572 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12098] = { config_id = 12098, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 398.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12099] = { config_id = 12099, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 398.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12100] = { config_id = 12100, gadget_id = 70320015, pos = { x = 390.059, y = 6.030, z = 398.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12101] = { config_id = 12101, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 398.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12102] = { config_id = 12102, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 399.657 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12103] = { config_id = 12103, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 399.657 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12104] = { config_id = 12104, gadget_id = 70320022, pos = { x = 390.059, y = 6.030, z = 399.657 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12105] = { config_id = 12105, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 399.657 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12106] = { config_id = 12106, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 401.118 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12107] = { config_id = 12107, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 401.118 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12108] = { config_id = 12108, gadget_id = 70320015, pos = { x = 390.059, y = 6.030, z = 401.118 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12109] = { config_id = 12109, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 401.118 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12110] = { config_id = 12110, gadget_id = 70350323, pos = { x = 390.059, y = 5.406, z = 395.324 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12112] = { config_id = 12112, gadget_id = 70320015, pos = { x = 390.059, y = 8.742, z = 393.964 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12113] = { config_id = 12113, gadget_id = 70320015, pos = { x = 390.059, y = 10.611, z = 393.964 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12114] = { config_id = 12114, gadget_id = 70320015, pos = { x = 390.059, y = 12.366, z = 393.964 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12115] = { config_id = 12115, gadget_id = 70320015, pos = { x = 390.059, y = 14.177, z = 393.964 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12116] = { config_id = 12116, gadget_id = 70320015, pos = { x = 390.059, y = 8.742, z = 395.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12117] = { config_id = 12117, gadget_id = 70320015, pos = { x = 390.059, y = 10.611, z = 395.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12118] = { config_id = 12118, gadget_id = 70320015, pos = { x = 390.059, y = 12.366, z = 395.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12119] = { config_id = 12119, gadget_id = 70320022, pos = { x = 390.059, y = 14.177, z = 395.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12120] = { config_id = 12120, gadget_id = 70320015, pos = { x = 390.059, y = 8.742, z = 396.858 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12121] = { config_id = 12121, gadget_id = 70320015, pos = { x = 390.059, y = 10.611, z = 396.858 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12122] = { config_id = 12122, gadget_id = 70320015, pos = { x = 390.059, y = 12.366, z = 396.858 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12123] = { config_id = 12123, gadget_id = 70320015, pos = { x = 390.059, y = 14.177, z = 396.858 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12124] = { config_id = 12124, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 389.677 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12125] = { config_id = 12125, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 389.677 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12128] = { config_id = 12128, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 391.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12129] = { config_id = 12129, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 391.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12130] = { config_id = 12130, gadget_id = 70320015, pos = { x = 390.059, y = 12.621, z = 391.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12131] = { config_id = 12131, gadget_id = 70320022, pos = { x = 390.059, y = 14.433, z = 391.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12132] = { config_id = 12132, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 392.570 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12133] = { config_id = 12133, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 392.570 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12134] = { config_id = 12134, gadget_id = 70320015, pos = { x = 390.059, y = 12.621, z = 392.570 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12136] = { config_id = 12136, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 398.112 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12137] = { config_id = 12137, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 398.112 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12138] = { config_id = 12138, gadget_id = 70320015, pos = { x = 390.059, y = 12.621, z = 398.112 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12140] = { config_id = 12140, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 399.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12141] = { config_id = 12141, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 399.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12142] = { config_id = 12142, gadget_id = 70320015, pos = { x = 390.059, y = 12.621, z = 399.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12143] = { config_id = 12143, gadget_id = 70320022, pos = { x = 390.059, y = 14.433, z = 399.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12144] = { config_id = 12144, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 401.006 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12145] = { config_id = 12145, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 401.006 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12148] = { config_id = 12148, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12149] = { config_id = 12149, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12150] = { config_id = 12150, gadget_id = 70320015, pos = { x = 390.059, y = 6.030, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12151] = { config_id = 12151, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 389.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12152] = { config_id = 12152, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 391.111 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12153] = { config_id = 12153, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 391.111 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12154] = { config_id = 12154, gadget_id = 70320022, pos = { x = 390.059, y = 6.030, z = 391.111 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12155] = { config_id = 12155, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 391.111 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12156] = { config_id = 12156, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 392.572 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12157] = { config_id = 12157, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 392.572 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12158] = { config_id = 12158, gadget_id = 70320015, pos = { x = 390.059, y = 6.030, z = 392.572 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12159] = { config_id = 12159, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 392.572 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12160] = { config_id = 12160, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 398.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12161] = { config_id = 12161, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 398.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12162] = { config_id = 12162, gadget_id = 70320015, pos = { x = 390.059, y = 6.030, z = 398.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12163] = { config_id = 12163, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 398.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12164] = { config_id = 12164, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 399.657 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12165] = { config_id = 12165, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 399.657 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12166] = { config_id = 12166, gadget_id = 70320022, pos = { x = 390.059, y = 6.030, z = 399.657 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12167] = { config_id = 12167, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 399.657 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12168] = { config_id = 12168, gadget_id = 70320015, pos = { x = 390.059, y = 2.406, z = 401.118 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12169] = { config_id = 12169, gadget_id = 70320015, pos = { x = 390.059, y = 4.275, z = 401.118 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12170] = { config_id = 12170, gadget_id = 70320015, pos = { x = 390.059, y = 6.030, z = 401.118 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12171] = { config_id = 12171, gadget_id = 70320015, pos = { x = 390.059, y = 7.842, z = 401.118 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12173] = { config_id = 12173, gadget_id = 70320015, pos = { x = 390.059, y = 8.742, z = 393.964 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12174] = { config_id = 12174, gadget_id = 70320015, pos = { x = 390.059, y = 10.611, z = 393.964 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12175] = { config_id = 12175, gadget_id = 70320015, pos = { x = 390.059, y = 12.366, z = 393.964 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12176] = { config_id = 12176, gadget_id = 70320015, pos = { x = 390.059, y = 14.177, z = 393.964 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12177] = { config_id = 12177, gadget_id = 70320015, pos = { x = 390.059, y = 8.742, z = 395.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12178] = { config_id = 12178, gadget_id = 70320015, pos = { x = 390.059, y = 10.611, z = 395.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12179] = { config_id = 12179, gadget_id = 70320015, pos = { x = 390.059, y = 12.366, z = 395.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12180] = { config_id = 12180, gadget_id = 70320022, pos = { x = 390.059, y = 14.177, z = 395.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12181] = { config_id = 12181, gadget_id = 70320015, pos = { x = 390.059, y = 8.742, z = 396.858 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12182] = { config_id = 12182, gadget_id = 70320015, pos = { x = 390.059, y = 10.611, z = 396.858 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12183] = { config_id = 12183, gadget_id = 70320015, pos = { x = 390.059, y = 12.366, z = 396.858 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12184] = { config_id = 12184, gadget_id = 70320015, pos = { x = 390.059, y = 14.177, z = 396.858 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12185] = { config_id = 12185, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 389.677 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12186] = { config_id = 12186, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 389.677 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12187] = { config_id = 12187, gadget_id = 70320015, pos = { x = 389.949, y = 2.391, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12188] = { config_id = 12188, gadget_id = 70320015, pos = { x = 389.949, y = 3.891, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12189] = { config_id = 12189, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 391.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12190] = { config_id = 12190, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 391.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12191] = { config_id = 12191, gadget_id = 70320015, pos = { x = 390.059, y = 12.621, z = 391.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12192] = { config_id = 12192, gadget_id = 70320022, pos = { x = 390.059, y = 14.433, z = 391.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12193] = { config_id = 12193, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 392.570 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12194] = { config_id = 12194, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 392.570 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12195] = { config_id = 12195, gadget_id = 70320015, pos = { x = 390.059, y = 12.621, z = 392.570 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12197] = { config_id = 12197, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 398.112 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12198] = { config_id = 12198, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 398.112 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12199] = { config_id = 12199, gadget_id = 70320015, pos = { x = 390.059, y = 12.621, z = 398.112 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12200] = { config_id = 12200, gadget_id = 70320015, pos = { x = 390.059, y = 14.433, z = 398.112 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12201] = { config_id = 12201, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 399.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12202] = { config_id = 12202, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 399.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12203] = { config_id = 12203, gadget_id = 70320015, pos = { x = 390.059, y = 12.621, z = 399.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12204] = { config_id = 12204, gadget_id = 70320022, pos = { x = 390.059, y = 14.433, z = 399.545 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12205] = { config_id = 12205, gadget_id = 70320015, pos = { x = 390.059, y = 8.997, z = 401.006 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12206] = { config_id = 12206, gadget_id = 70320015, pos = { x = 390.059, y = 10.866, z = 401.006 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12207] = { config_id = 12207, gadget_id = 70320022, pos = { x = 389.949, y = 6.391, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12208] = { config_id = 12208, gadget_id = 70320015, pos = { x = 389.949, y = 0.802, z = 400.389 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12209] = { config_id = 12209, gadget_id = 70320015, pos = { x = 389.949, y = 2.302, z = 400.389 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12210] = { config_id = 12210, gadget_id = 70320015, pos = { x = 389.949, y = 3.802, z = 400.389 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12211] = { config_id = 12211, gadget_id = 70320022, pos = { x = 389.949, y = 6.302, z = 400.389 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12212] = { config_id = 12212, gadget_id = 70320015, pos = { x = 389.949, y = 5.160, z = 391.300 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12213] = { config_id = 12213, gadget_id = 70320015, pos = { x = 389.949, y = 5.160, z = 392.819 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12214] = { config_id = 12214, gadget_id = 70320015, pos = { x = 389.949, y = 5.160, z = 394.260 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12215] = { config_id = 12215, gadget_id = 70320015, pos = { x = 389.949, y = 5.160, z = 395.779 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12216] = { config_id = 12216, gadget_id = 70320015, pos = { x = 389.949, y = 5.160, z = 397.189 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12217] = { config_id = 12217, gadget_id = 70320015, pos = { x = 389.949, y = 5.160, z = 398.707 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12218] = { config_id = 12218, gadget_id = 70320015, pos = { x = 389.949, y = 0.838, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12219] = { config_id = 12219, gadget_id = 70320015, pos = { x = 389.949, y = 2.338, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12220] = { config_id = 12220, gadget_id = 70320015, pos = { x = 389.949, y = 3.838, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12221] = { config_id = 12221, gadget_id = 70320022, pos = { x = 389.949, y = 6.338, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12222] = { config_id = 12222, gadget_id = 70320015, pos = { x = 389.949, y = 5.173, z = 392.872 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12223] = { config_id = 12223, gadget_id = 70320015, pos = { x = 389.949, y = 5.173, z = 394.282 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12224] = { config_id = 12224, gadget_id = 70320015, pos = { x = 389.949, y = 5.173, z = 395.801 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12225] = { config_id = 12225, gadget_id = 70320022, pos = { x = 389.949, y = 5.912, z = 397.906 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12226] = { config_id = 12226, gadget_id = 70320015, pos = { x = 389.949, y = 1.169, z = 391.300 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12227] = { config_id = 12227, gadget_id = 70320015, pos = { x = 389.949, y = 1.169, z = 392.819 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12228] = { config_id = 12228, gadget_id = 70320015, pos = { x = 389.949, y = 1.169, z = 394.260 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12229] = { config_id = 12229, gadget_id = 70320015, pos = { x = 389.949, y = 1.169, z = 395.779 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12230] = { config_id = 12230, gadget_id = 70320015, pos = { x = 389.949, y = 1.169, z = 397.189 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12231] = { config_id = 12231, gadget_id = 70320015, pos = { x = 389.949, y = 1.169, z = 398.707 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12232] = { config_id = 12232, gadget_id = 70320015, pos = { x = 389.949, y = 1.195, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12233] = { config_id = 12233, gadget_id = 70320015, pos = { x = 389.949, y = 2.695, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12234] = { config_id = 12234, gadget_id = 70320015, pos = { x = 389.949, y = 4.195, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12235] = { config_id = 12235, gadget_id = 70320022, pos = { x = 389.949, y = 6.695, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12236] = { config_id = 12236, gadget_id = 70320015, pos = { x = 389.949, y = 10.319, z = 403.162 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12237] = { config_id = 12237, gadget_id = 70320015, pos = { x = 389.949, y = 11.819, z = 403.162 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12238] = { config_id = 12238, gadget_id = 70320015, pos = { x = 389.949, y = 13.319, z = 403.162 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12239] = { config_id = 12239, gadget_id = 70320022, pos = { x = 389.949, y = 15.573, z = 401.875 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12240] = { config_id = 12240, gadget_id = 70320015, pos = { x = 389.949, y = 5.698, z = 391.300 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12241] = { config_id = 12241, gadget_id = 70320015, pos = { x = 389.949, y = 8.352, z = 393.623 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12242] = { config_id = 12242, gadget_id = 70320015, pos = { x = 389.949, y = 8.352, z = 395.064 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12243] = { config_id = 12243, gadget_id = 70320015, pos = { x = 389.949, y = 8.352, z = 396.583 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12244] = { config_id = 12244, gadget_id = 70320015, pos = { x = 389.949, y = 13.281, z = 400.278 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12245] = { config_id = 12245, gadget_id = 70320015, pos = { x = 389.949, y = 13.281, z = 401.797 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12246] = { config_id = 12246, gadget_id = 70320015, pos = { x = 389.949, y = 3.477, z = 391.300 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12247] = { config_id = 12247, gadget_id = 70320015, pos = { x = 389.949, y = 6.836, z = 393.669 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12248] = { config_id = 12248, gadget_id = 70320015, pos = { x = 389.949, y = 6.836, z = 395.110 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12249] = { config_id = 12249, gadget_id = 70320015, pos = { x = 389.949, y = 6.836, z = 396.629 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12250] = { config_id = 12250, gadget_id = 70320015, pos = { x = 389.949, y = 12.051, z = 400.427 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12251] = { config_id = 12251, gadget_id = 70320015, pos = { x = 389.949, y = 12.051, z = 401.946 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12252] = { config_id = 12252, gadget_id = 70320015, pos = { x = 389.949, y = 1.374, z = 391.300 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12253] = { config_id = 12253, gadget_id = 70320015, pos = { x = 389.949, y = 5.214, z = 393.628 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12254] = { config_id = 12254, gadget_id = 70320015, pos = { x = 389.949, y = 5.214, z = 395.070 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12255] = { config_id = 12255, gadget_id = 70320015, pos = { x = 389.949, y = 5.214, z = 396.589 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12256] = { config_id = 12256, gadget_id = 70320015, pos = { x = 389.949, y = 10.474, z = 400.413 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12257] = { config_id = 12257, gadget_id = 70320015, pos = { x = 389.949, y = 10.474, z = 401.932 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12258] = { config_id = 12258, gadget_id = 70320022, pos = { x = 389.949, y = 10.220, z = 394.978 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12259] = { config_id = 12259, gadget_id = 70320015, pos = { x = 389.949, y = 2.406, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12260] = { config_id = 12260, gadget_id = 70320015, pos = { x = 389.949, y = 3.906, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12261] = { config_id = 12261, gadget_id = 70320015, pos = { x = 389.949, y = 5.406, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12262] = { config_id = 12262, gadget_id = 70320022, pos = { x = 389.949, y = 10.799, z = 389.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12263] = { config_id = 12263, gadget_id = 70320015, pos = { x = 389.949, y = 2.406, z = 401.969 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12264] = { config_id = 12264, gadget_id = 70320015, pos = { x = 389.949, y = 3.906, z = 401.969 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12265] = { config_id = 12265, gadget_id = 70320015, pos = { x = 389.949, y = 5.406, z = 401.969 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12266] = { config_id = 12266, gadget_id = 70320022, pos = { x = 389.949, y = 10.793, z = 401.969 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12267] = { config_id = 12267, gadget_id = 70320015, pos = { x = 389.949, y = 5.698, z = 391.739 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12268] = { config_id = 12268, gadget_id = 70320015, pos = { x = 389.949, y = 5.698, z = 393.258 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12269] = { config_id = 12269, gadget_id = 70320015, pos = { x = 389.949, y = 5.698, z = 394.699 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12270] = { config_id = 12270, gadget_id = 70320015, pos = { x = 389.949, y = 5.698, z = 396.218 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12271] = { config_id = 12271, gadget_id = 70320015, pos = { x = 389.949, y = 5.698, z = 397.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12272] = { config_id = 12272, gadget_id = 70320015, pos = { x = 389.949, y = 5.698, z = 399.146 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12273] = { config_id = 12273, gadget_id = 70320015, pos = { x = 389.949, y = 10.405, z = 391.739 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12274] = { config_id = 12274, gadget_id = 70320015, pos = { x = 389.949, y = 10.405, z = 393.258 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12275] = { config_id = 12275, gadget_id = 70320015, pos = { x = 389.949, y = 10.405, z = 394.699 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12276] = { config_id = 12276, gadget_id = 70320015, pos = { x = 389.949, y = 10.405, z = 396.218 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12277] = { config_id = 12277, gadget_id = 70320015, pos = { x = 389.949, y = 10.405, z = 397.627 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12278] = { config_id = 12278, gadget_id = 70320015, pos = { x = 389.949, y = 10.405, z = 399.146 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12279] = { config_id = 12279, gadget_id = 70320015, pos = { x = 389.949, y = 7.753, z = 394.697 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12280] = { config_id = 12280, gadget_id = 70320015, pos = { x = 389.949, y = 6.624, z = 394.723 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12281] = { config_id = 12281, gadget_id = 70320015, pos = { x = 389.949, y = 9.185, z = 394.699 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12282] = { config_id = 12282, gadget_id = 70320015, pos = { x = 389.949, y = 9.185, z = 396.218 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12283] = { config_id = 12283, gadget_id = 70320015, pos = { x = 389.949, y = 7.683, z = 396.278 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12284] = { config_id = 12284, gadget_id = 70320015, pos = { x = 389.949, y = 6.464, z = 396.284 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12285] = { config_id = 12285, gadget_id = 70320022, pos = { x = 389.949, y = 7.906, z = 394.781 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12286] = { config_id = 12286, gadget_id = 70350323, pos = { x = 390.059, y = 3.877, z = 395.726 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12287] = { config_id = 12287, gadget_id = 70320015, pos = { x = 400.000, y = 0.906, z = 398.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12288] = { config_id = 12288, gadget_id = 70320015, pos = { x = 400.000, y = 0.906, z = 396.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12289] = { config_id = 12289, gadget_id = 70320015, pos = { x = 400.000, y = 0.906, z = 394.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12290] = { config_id = 12290, gadget_id = 70320015, pos = { x = 400.000, y = 0.906, z = 392.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12291] = { config_id = 12291, gadget_id = 70320015, pos = { x = 400.000, y = 0.906, z = 407.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12292] = { config_id = 12292, gadget_id = 70320015, pos = { x = 400.000, y = 0.906, z = 405.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12293] = { config_id = 12293, gadget_id = 70320015, pos = { x = 400.000, y = 0.906, z = 403.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12294] = { config_id = 12294, gadget_id = 70320015, pos = { x = 400.000, y = 0.906, z = 401.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12295] = { config_id = 12295, gadget_id = 70320015, pos = { x = 402.000, y = 0.906, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12296] = { config_id = 12296, gadget_id = 70320015, pos = { x = 404.000, y = 0.906, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12297] = { config_id = 12297, gadget_id = 70320015, pos = { x = 406.000, y = 0.906, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12298] = { config_id = 12298, gadget_id = 70320015, pos = { x = 408.000, y = 0.906, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12299] = { config_id = 12299, gadget_id = 70320015, pos = { x = 392.123, y = 0.906, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12300] = { config_id = 12300, gadget_id = 70320015, pos = { x = 394.123, y = 0.906, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12301] = { config_id = 12301, gadget_id = 70320015, pos = { x = 396.123, y = 0.906, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12302] = { config_id = 12302, gadget_id = 70320015, pos = { x = 398.123, y = 0.906, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12303] = { config_id = 12303, gadget_id = 70320015, pos = { x = 402.000, y = 0.906, z = 391.977 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12304] = { config_id = 12304, gadget_id = 70320015, pos = { x = 404.000, y = 0.906, z = 391.977 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12305] = { config_id = 12305, gadget_id = 70320015, pos = { x = 406.000, y = 0.906, z = 391.977 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12306] = { config_id = 12306, gadget_id = 70320015, pos = { x = 408.000, y = 0.906, z = 391.977 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12307] = { config_id = 12307, gadget_id = 70320015, pos = { x = 392.123, y = 0.906, z = 391.977 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12308] = { config_id = 12308, gadget_id = 70320015, pos = { x = 394.123, y = 0.906, z = 391.977 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12309] = { config_id = 12309, gadget_id = 70320015, pos = { x = 396.123, y = 0.906, z = 391.977 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12310] = { config_id = 12310, gadget_id = 70320015, pos = { x = 398.123, y = 0.906, z = 391.977 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12311] = { config_id = 12311, gadget_id = 70320015, pos = { x = 402.000, y = 0.906, z = 407.797 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12312] = { config_id = 12312, gadget_id = 70320015, pos = { x = 404.000, y = 0.906, z = 407.797 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12313] = { config_id = 12313, gadget_id = 70320015, pos = { x = 406.000, y = 0.906, z = 407.797 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12314] = { config_id = 12314, gadget_id = 70320015, pos = { x = 408.000, y = 0.906, z = 407.797 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12315] = { config_id = 12315, gadget_id = 70320015, pos = { x = 392.123, y = 0.906, z = 407.797 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12316] = { config_id = 12316, gadget_id = 70320015, pos = { x = 394.123, y = 0.906, z = 407.797 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12317] = { config_id = 12317, gadget_id = 70320015, pos = { x = 396.123, y = 0.906, z = 407.797 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12318] = { config_id = 12318, gadget_id = 70320015, pos = { x = 398.123, y = 0.906, z = 407.797 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12319] = { config_id = 12319, gadget_id = 70320015, pos = { x = 409.407, y = 0.906, z = 398.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12320] = { config_id = 12320, gadget_id = 70320015, pos = { x = 409.407, y = 0.906, z = 396.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12321] = { config_id = 12321, gadget_id = 70320015, pos = { x = 409.407, y = 0.906, z = 394.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12322] = { config_id = 12322, gadget_id = 70320015, pos = { x = 409.407, y = 0.906, z = 392.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12323] = { config_id = 12323, gadget_id = 70320015, pos = { x = 409.407, y = 0.906, z = 407.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12324] = { config_id = 12324, gadget_id = 70320015, pos = { x = 409.407, y = 0.906, z = 405.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12325] = { config_id = 12325, gadget_id = 70320015, pos = { x = 409.407, y = 0.906, z = 403.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12326] = { config_id = 12326, gadget_id = 70320015, pos = { x = 409.407, y = 0.906, z = 401.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12327] = { config_id = 12327, gadget_id = 70320015, pos = { x = 391.377, y = 0.906, z = 398.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12328] = { config_id = 12328, gadget_id = 70320015, pos = { x = 391.377, y = 0.906, z = 396.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12329] = { config_id = 12329, gadget_id = 70320015, pos = { x = 391.377, y = 0.906, z = 394.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12330] = { config_id = 12330, gadget_id = 70320015, pos = { x = 391.377, y = 0.906, z = 392.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12331] = { config_id = 12331, gadget_id = 70320015, pos = { x = 391.377, y = 0.906, z = 407.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12332] = { config_id = 12332, gadget_id = 70320015, pos = { x = 391.377, y = 0.906, z = 405.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12333] = { config_id = 12333, gadget_id = 70320015, pos = { x = 391.377, y = 0.906, z = 403.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12334] = { config_id = 12334, gadget_id = 70320015, pos = { x = 391.377, y = 0.906, z = 401.689 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12335] = { config_id = 12335, gadget_id = 70350323, pos = { x = 412.000, y = 3.877, z = 388.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12336] = { config_id = 12336, gadget_id = 70350323, pos = { x = 412.000, y = 3.877, z = 412.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12337] = { config_id = 12337, gadget_id = 70350323, pos = { x = 388.000, y = 3.877, z = 412.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12338] = { config_id = 12338, gadget_id = 70350323, pos = { x = 388.000, y = 3.877, z = 388.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12339] = { config_id = 12339, gadget_id = 70320015, pos = { x = 409.192, y = 2.406, z = 391.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12340] = { config_id = 12340, gadget_id = 70320015, pos = { x = 409.192, y = 3.906, z = 391.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12341] = { config_id = 12341, gadget_id = 70320015, pos = { x = 409.192, y = 5.406, z = 391.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12342] = { config_id = 12342, gadget_id = 70320022, pos = { x = 412.000, y = 7.328, z = 388.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12343] = { config_id = 12343, gadget_id = 70320015, pos = { x = 409.192, y = 2.406, z = 407.943 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12344] = { config_id = 12344, gadget_id = 70320015, pos = { x = 409.192, y = 3.906, z = 407.943 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12345] = { config_id = 12345, gadget_id = 70320015, pos = { x = 409.192, y = 5.406, z = 407.943 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12346] = { config_id = 12346, gadget_id = 70320022, pos = { x = 412.000, y = 7.328, z = 412.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12347] = { config_id = 12347, gadget_id = 70320015, pos = { x = 391.087, y = 2.406, z = 407.943 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12348] = { config_id = 12348, gadget_id = 70320015, pos = { x = 391.087, y = 3.906, z = 407.943 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12349] = { config_id = 12349, gadget_id = 70320015, pos = { x = 391.087, y = 5.406, z = 407.943 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12350] = { config_id = 12350, gadget_id = 70320022, pos = { x = 388.000, y = 7.328, z = 412.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12351] = { config_id = 12351, gadget_id = 70320015, pos = { x = 391.087, y = 2.406, z = 391.978 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12352] = { config_id = 12352, gadget_id = 70320015, pos = { x = 391.087, y = 3.906, z = 391.978 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12353] = { config_id = 12353, gadget_id = 70320015, pos = { x = 391.087, y = 5.406, z = 391.978 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12354] = { config_id = 12354, gadget_id = 70320022, pos = { x = 388.000, y = 7.328, z = 388.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12355] = { config_id = 12355, gadget_id = 70320015, pos = { x = 405.980, y = 7.906, z = 395.272 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12356] = { config_id = 12356, gadget_id = 70320015, pos = { x = 407.585, y = 7.906, z = 393.638 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12357] = { config_id = 12357, gadget_id = 70320015, pos = { x = 408.763, y = 7.906, z = 392.398 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12358] = { config_id = 12358, gadget_id = 70320015, pos = { x = 410.471, y = 7.906, z = 390.659 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12359] = { config_id = 12359, gadget_id = 70320022, pos = { x = 404.106, y = 7.906, z = 396.602 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12360] = { config_id = 12360, gadget_id = 70320015, pos = { x = 409.747, y = 7.906, z = 409.484 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12361] = { config_id = 12361, gadget_id = 70320015, pos = { x = 408.438, y = 7.906, z = 408.267 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12362] = { config_id = 12362, gadget_id = 70320015, pos = { x = 407.132, y = 7.906, z = 406.918 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12363] = { config_id = 12363, gadget_id = 70320015, pos = { x = 405.612, y = 7.906, z = 405.510 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12364] = { config_id = 12364, gadget_id = 70320022, pos = { x = 404.128, y = 7.906, z = 404.383 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12365] = { config_id = 12365, gadget_id = 70320015, pos = { x = 395.291, y = 7.906, z = 395.582 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12366] = { config_id = 12366, gadget_id = 70320015, pos = { x = 393.983, y = 7.906, z = 394.365 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12367] = { config_id = 12367, gadget_id = 70320015, pos = { x = 392.677, y = 7.906, z = 393.016 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12368] = { config_id = 12368, gadget_id = 70320015, pos = { x = 391.157, y = 7.906, z = 391.608 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12369] = { config_id = 12369, gadget_id = 70320022, pos = { x = 397.239, y = 7.906, z = 396.732 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12370] = { config_id = 12370, gadget_id = 70320015, pos = { x = 391.014, y = 7.906, z = 410.116 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12371] = { config_id = 12371, gadget_id = 70320015, pos = { x = 392.619, y = 7.906, z = 408.481 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12372] = { config_id = 12372, gadget_id = 70320015, pos = { x = 393.796, y = 7.906, z = 407.242 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12373] = { config_id = 12373, gadget_id = 70320015, pos = { x = 395.505, y = 7.906, z = 405.503 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12374] = { config_id = 12374, gadget_id = 70320022, pos = { x = 396.845, y = 7.906, z = 403.908 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12375] = { config_id = 12375, gadget_id = 70350323, pos = { x = 388.000, y = 5.906, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12376] = { config_id = 12376, gadget_id = 70320022, pos = { x = 388.008, y = 12.611, z = 398.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12377] = { config_id = 12377, gadget_id = 70320015, pos = { x = 388.008, y = 10.363, z = 398.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12378] = { config_id = 12378, gadget_id = 70320015, pos = { x = 388.008, y = 9.144, z = 398.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12379] = { config_id = 12379, gadget_id = 70320015, pos = { x = 388.008, y = 7.931, z = 398.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12380] = { config_id = 12380, gadget_id = 70320022, pos = { x = 388.008, y = 12.611, z = 400.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12381] = { config_id = 12381, gadget_id = 70320015, pos = { x = 388.008, y = 10.363, z = 400.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12382] = { config_id = 12382, gadget_id = 70320015, pos = { x = 388.008, y = 9.144, z = 400.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12383] = { config_id = 12383, gadget_id = 70320015, pos = { x = 388.008, y = 7.931, z = 400.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12384] = { config_id = 12384, gadget_id = 70350323, pos = { x = 412.000, y = 5.906, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12385] = { config_id = 12385, gadget_id = 70320022, pos = { x = 411.974, y = 12.611, z = 398.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12386] = { config_id = 12386, gadget_id = 70320015, pos = { x = 411.974, y = 10.363, z = 398.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12387] = { config_id = 12387, gadget_id = 70320015, pos = { x = 411.974, y = 9.144, z = 398.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12388] = { config_id = 12388, gadget_id = 70320015, pos = { x = 411.974, y = 7.931, z = 398.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12389] = { config_id = 12389, gadget_id = 70320022, pos = { x = 411.974, y = 12.611, z = 400.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12390] = { config_id = 12390, gadget_id = 70320015, pos = { x = 411.974, y = 10.363, z = 400.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12391] = { config_id = 12391, gadget_id = 70320015, pos = { x = 411.974, y = 9.144, z = 400.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12392] = { config_id = 12392, gadget_id = 70320015, pos = { x = 411.974, y = 7.931, z = 400.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12393] = { config_id = 12393, gadget_id = 70350323, pos = { x = 390.059, y = 3.329, z = 395.726 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12394] = { config_id = 12394, gadget_id = 70350323, pos = { x = 390.059, y = 7.618, z = 401.716 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12395] = { config_id = 12395, gadget_id = 70380323, pos = { x = 400.000, y = -0.094, z = 400.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[12396] = { config_id = 12396, gadget_id = 70350323, pos = { x = 390.059, y = 3.329, z = 400.814 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12397] = { config_id = 12397, gadget_id = 70350323, pos = { x = 407.000, y = 3.877, z = 388.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12398] = { config_id = 12398, gadget_id = 70350323, pos = { x = 407.000, y = 3.877, z = 412.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12399] = { config_id = 12399, gadget_id = 70350323, pos = { x = 393.000, y = 3.877, z = 412.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
	[12400] = { config_id = 12400, gadget_id = 70350323, pos = { x = 393.000, y = 3.877, z = 388.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true }
}

-- 区域
regions = {
	[12111] = { config_id = 12111, shape = RegionShape.CUBIC, size = { x = 70.000, y = 50.000, z = 70.000 }, pos = { x = 400.000, y = 6.767, z = 400.000 } }
}

-- 触发器
triggers = {
	{ config_id = 1012111, name = "ENTER_REGION_12111", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 变量
variables = {
}

-- 废弃数据
garbages = {
	gadgets = {
		{ config_id = 12126, gadget_id = 70320015, pos = { x = 390.059, y = 12.621, z = 389.677 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
		{ config_id = 12127, gadget_id = 70320015, pos = { x = 390.059, y = 14.433, z = 389.677 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
		{ config_id = 12135, gadget_id = 70320015, pos = { x = 390.059, y = 14.433, z = 392.570 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
		{ config_id = 12139, gadget_id = 70320015, pos = { x = 390.059, y = 14.433, z = 398.112 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
		{ config_id = 12146, gadget_id = 70320015, pos = { x = 390.059, y = 12.621, z = 401.006 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
		{ config_id = 12147, gadget_id = 70320015, pos = { x = 390.059, y = 14.433, z = 401.006 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
		{ config_id = 12172, gadget_id = 70350323, pos = { x = 390.059, y = 5.406, z = 395.324 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, is_use_point_array = true },
		{ config_id = 12196, gadget_id = 70320015, pos = { x = 390.059, y = 14.433, z = 392.570 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
	}
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 12111 },
		triggers = { "ENTER_REGION_12111" },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 12001, 12002, 12003, 12004, 12005, 12006, 12007, 12008, 12009, 12010, 12011, 12012, 12013, 12014, 12015, 12016, 12017, 12018, 12019, 12020, 12021, 12022, 12023, 12024, 12025, 12048, 12049, 12050, 12051, 12052, 12053, 12054, 12055, 12056, 12057, 12058, 12059 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = 砖块升起金币,
		monsters = { },
		gadgets = { 12026, 12027, 12028, 12029 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = 普通砖块爆出金币,
		monsters = { },
		gadgets = { 12030, 12031, 12032, 12033 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 5,
		-- description = 特殊砖块爆出金币（有平台的排列1）,
		monsters = { },
		gadgets = { 12034, 12035, 12036, 12037, 12038, 12039, 12040, 12041, 12042, 12043, 12044, 12045, 12046, 12047, 12060, 12061, 12062, 12063, 12064, 12065 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 6,
		-- description = 特殊砖块爆出金币（有平台的排列2）,
		monsters = { },
		gadgets = { 12066, 12067, 12068, 12069, 12070, 12071, 12072, 12073, 12074, 12075, 12076, 12077, 12078, 12080, 12081, 12082, 12083, 12084, 12085 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 7,
		-- description = 特殊砖块爆出金币加强版（有平台的排列2）,
		monsters = { },
		gadgets = { 12086, 12087, 12088, 12089, 12090, 12091, 12092, 12093, 12094, 12095, 12096, 12097, 12098, 12099, 12100, 12101, 12102, 12103, 12104, 12105, 12106, 12107, 12108, 12109, 12110, 12112, 12113, 12114, 12115, 12116, 12117, 12118, 12119, 12120, 12121, 12122, 12123, 12124, 12125, 12128, 12129, 12130, 12131, 12132, 12133, 12134, 12136, 12137, 12138, 12140, 12141, 12142, 12143, 12144, 12145 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 8,
		-- description = 特殊砖块爆出金币（有平台的排列）,
		monsters = { },
		gadgets = { 12148, 12149, 12150, 12151, 12152, 12153, 12154, 12155, 12156, 12157, 12158, 12159, 12160, 12161, 12162, 12163, 12164, 12165, 12166, 12167, 12168, 12169, 12170, 12171, 12173, 12174, 12175, 12176, 12177, 12178, 12179, 12180, 12181, 12182, 12183, 12184, 12185, 12186, 12189, 12190, 12191, 12192, 12193, 12194, 12195, 12197, 12198, 12199, 12200, 12201, 12202, 12203, 12204, 12205, 12206 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 9,
		-- description = 魈高级砖块1,
		monsters = { },
		gadgets = { 12079, 12187, 12188, 12207, 12208, 12209, 12210, 12211, 12212, 12213, 12214, 12215, 12216, 12217 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 10,
		-- description = 魈高级砖块2,
		monsters = { },
		gadgets = { 12218, 12219, 12220, 12221, 12222, 12223, 12224, 12225, 12226, 12227, 12228, 12229, 12230, 12231 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 11,
		-- description = 魈特殊高级砖块1,
		monsters = { },
		gadgets = { 12232, 12233, 12234, 12235, 12236, 12237, 12238, 12239, 12240, 12241, 12242, 12243, 12244, 12245, 12246, 12247, 12248, 12249, 12250, 12251, 12252, 12253, 12254, 12255, 12256, 12257, 12258, 12393, 12394, 12396 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 12,
		-- description = 魈特殊高级砖块2,
		monsters = { },
		gadgets = { 12259, 12260, 12261, 12262, 12263, 12264, 12265, 12266, 12267, 12268, 12269, 12270, 12271, 12272, 12273, 12274, 12275, 12276, 12277, 12278, 12279, 12280, 12281, 12282, 12283, 12284, 12285, 12286 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 13,
		-- description = 全屏金币,
		monsters = { },
		gadgets = { 12287, 12288, 12289, 12290, 12291, 12292, 12293, 12294, 12295, 12296, 12297, 12298, 12299, 12300, 12301, 12302, 12303, 12304, 12305, 12306, 12307, 12308, 12309, 12310, 12311, 12312, 12313, 12314, 12315, 12316, 12317, 12318, 12319, 12320, 12321, 12322, 12323, 12324, 12325, 12326, 12327, 12328, 12329, 12330, 12331, 12332, 12333, 12334, 12335, 12336, 12337, 12338, 12339, 12340, 12341, 12342, 12343, 12344, 12345, 12346, 12347, 12348, 12349, 12350, 12351, 12352, 12353, 12354, 12355, 12356, 12357, 12358, 12359, 12360, 12361, 12362, 12363, 12364, 12365, 12366, 12367, 12368, 12369, 12370, 12371, 12372, 12373, 12374, 12375, 12376, 12377, 12378, 12379, 12380, 12381, 12382, 12383, 12384, 12385, 12386, 12387, 12388, 12389, 12390, 12391, 12392, 12397, 12398, 12399, 12400 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 14,
		-- description = 全屏金币,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_2/CharAmuse_Pillar"
require "V3_2/CharAmuse_Retrans"
